apiVersion: v1
data:
  global-config: |
    enforcedConfigLevel: global
    ttlSecondsAfterFinished: null
    successfulHistoryLimit: null
    failedHistoryLimit: null
    historyLimit: 100
    namespaces: {}
kind: ConfigMap
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"v1","data":{"global-config":"enforcedConfigLevel: global\nttlSecondsAfterFinished: null\nsuccessfulHistoryLimit: null\nfailedHistoryLimit: null\nhistoryLimit: 100\nnamespaces: {}\n"},"kind":"ConfigMap","metadata":{"annotations":{"operator.tekton.dev/last-applied-hash":"87fe0f11e31a701a2732a57be93d2d30a3ad246c2b08bebe25492f9811c35d03"},"creationTimestamp":null,"labels":{"operator.tekton.dev/operand-name":"pruner"},"name":"tekton-pruner-default-spec","namespace":"openshift-pipelines","ownerReferences":[{"apiVersion":"operator.tekton.dev/v1alpha1","blockOwnerDeletion":true,"controller":true,"kind":"TektonInstallerSet","name":"pruner-config-rd6jz","uid":"32fca2a8-144b-448f-a766-b68d19982aa0"}]}}
    operator.tekton.dev/last-applied-hash: 87fe0f11e31a701a2732a57be93d2d30a3ad246c2b08bebe25492f9811c35d03
  creationTimestamp: "2025-09-10T18:22:35Z"
  labels:
    operator.tekton.dev/operand-name: pruner
  name: tekton-pruner-default-spec
  namespace: openshift-pipelines
  ownerReferences:
  - apiVersion: operator.tekton.dev/v1alpha1
    blockOwnerDeletion: true
    controller: true
    kind: TektonInstallerSet
    name: pruner-config-rd6jz
    uid: 32fca2a8-144b-448f-a766-b68d19982aa0
  resourceVersion: "225645"
  uid: 2c494c56-41f8-40bd-852f-eb4778eed295
